View Issue Details

IDProjectCategoryView StatusLast Update
0000144LazarusLCLpublic2008-04-24 00:34
ReporterBug ImportAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version1.0.0Fixed in Version 
Summary0000144: Dialog boxes locks up windows manager or freezes
DescriptionOS: FreeBSD 5.0 patch 7
Lazarus Version: latest CVS (0.9.0 beta)

This is my first bug report..so bear with me.

every other time, clicking on a button on a dialog box (such as save or project open, will freeze lazarus. Fluxbox will run away consuming all the processor, while under fvwm lazarus will freeze and be nonresponsive.

I tried truss (aka strace under linux) but that didn't reveal much.
Additional InformationImported information
--------------------
Name: George Patterson
Mail: george (at) visp.com.au
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetGTK
Attached Files

Activities

Mattias Gaertner

2005-08-29 04:31

manager   ~0001041

To help you we need a backtrace is needed, so we know what the IDE is doing.

Please start lazarus in gdb and when it freezes create backtrace. For example type in console:

gdb lazarus
run
... wait till it freezes, then press Ctrl+C ...
backtrace

Mattias Gaertner

2005-09-17 14:04

manager   ~0001114

Closed after two weeks without feedback.

Issue History

Date Modified Username Field Change
2003-10-23 00:00 Bug Import New Issue
2003-10-23 09:09 Bug Import Widgetset => GTK, Win32
2005-04-09 13:32 Micha Nelissen Status new => assigned
2005-04-09 13:32 Micha Nelissen Assigned To => AndrewH
2005-04-22 18:01 AndrewH Status assigned => new
2005-04-22 18:04 AndrewH Assigned To AndrewH =>
2005-08-01 03:33 Vincent Snijders Target => 1.0
2005-08-01 03:33 Vincent Snijders Widgetset GTK, Win32 => GTK
2005-08-01 03:33 Vincent Snijders Category => LCL
2005-08-01 03:33 Vincent Snijders Additional Information Updated
2005-08-27 12:17 Mattias Gaertner Status new => assigned
2005-08-27 12:17 Mattias Gaertner Assigned To => Mattias Gaertner
2005-08-29 04:31 Mattias Gaertner Note Added: 0001041
2005-08-29 04:31 Mattias Gaertner Status assigned => feedback
2005-09-17 14:04 Mattias Gaertner Note Added: 0001114
2005-09-17 14:04 Mattias Gaertner Status feedback => resolved
2005-09-17 14:04 Mattias Gaertner Resolution open => fixed
2005-11-28 16:10 Marc Weustink Status resolved => closed
2008-04-24 00:34 Vincent Snijders Target Version => 1.0.0